// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 50;
	objects = {

/* Begin PBXBuildFile section */
		525B99F224A600BF007B78D5 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 525B99F124A600BF007B78D5 /* AppDelegate.swift */; };
		525B99F424A600BF007B78D5 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = 525B99F324A600BF007B78D5 /* SceneDelegate.swift */; };
		525B99F924A600BF007B78D5 /* Main.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 525B99F724A600BF007B78D5 /* Main.storyboard */; };
		525B99FB24A600C5007B78D5 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 525B99FA24A600C5007B78D5 /* Assets.xcassets */; };
		525B99FE24A600C5007B78D5 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = 525B99FC24A600C5007B78D5 /* LaunchScreen.storyboard */; };
		525B9A0924A600C6007B78D5 /* ChuckFactsTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 525B9A0824A600C6007B78D5 /* ChuckFactsTests.swift */; };
		525B9A1424A606A4007B78D5 /* MainViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 525B9A1324A606A4007B78D5 /* MainViewController.swift */; };
		525B9A1624A60839007B78D5 /* TextInputViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 525B9A1524A60839007B78D5 /* TextInputViewController.swift */; };
		525B9A1824A60876007B78D5 /* NeverEndingTableViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 525B9A1724A60876007B78D5 /* NeverEndingTableViewController.swift */; };
		525B9A1A24A61EFD007B78D5 /* JokeModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 525B9A1924A61EFD007B78D5 /* JokeModel.swift */; };
		525B9A1C24A62191007B78D5 /* NetworkingModule.swift in Sources */ = {isa = PBXBuildFile; fileRef = 525B9A1B24A62191007B78D5 /* NetworkingModule.swift */; };
		525B9A1E24A6423C007B78D5 /* CustomTableViewCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = 525B9A1D24A6423C007B78D5 /* CustomTableViewCell.swift */; };
		5297E49A24A9FAF00006C203 /* String+ValidityType.swift in Sources */ = {isa = PBXBuildFile; fileRef = 5297E49924A9FAF00006C203 /* String+ValidityType.swift */; };
		52ED656C24A8B418000391EC /* SpinnerViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = 52ED656B24A8B418000391EC /* SpinnerViewController.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		525B9A0524A600C6007B78D5 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 525B99E624A600BF007B78D5 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 525B99ED24A600BF007B78D5;
			remoteInfo = ChuckFacts;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		525B99EE24A600BF007B78D5 /* ChuckFacts.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = ChuckFacts.app; sourceTree = BUILT_PRODUCTS_DIR; };
		525B99F124A600BF007B78D5 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		525B99F324A600BF007B78D5 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		525B99F824A600BF007B78D5 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/Main.storyboard; sourceTree = "<group>"; };
		525B99FA24A600C5007B78D5 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		525B99FD24A600C5007B78D5 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		525B99FF24A600C5007B78D5 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		525B9A0424A600C6007B78D5 /* ChuckFactsTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = ChuckFactsTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		525B9A0824A600C6007B78D5 /* ChuckFactsTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChuckFactsTests.swift; sourceTree = "<group>"; };
		525B9A0A24A600C6007B78D5 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		525B9A1324A606A4007B78D5 /* MainViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainViewController.swift; sourceTree = "<group>"; };
		525B9A1524A60839007B78D5 /* TextInputViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TextInputViewController.swift; sourceTree = "<group>"; };
		525B9A1724A60876007B78D5 /* NeverEndingTableViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NeverEndingTableViewController.swift; sourceTree = "<group>"; };
		525B9A1924A61EFD007B78D5 /* JokeModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = JokeModel.swift; sourceTree = "<group>"; };
		525B9A1B24A62191007B78D5 /* NetworkingModule.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NetworkingModule.swift; sourceTree = "<group>"; };
		525B9A1D24A6423C007B78D5 /* CustomTableViewCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CustomTableViewCell.swift; sourceTree = "<group>"; };
		5297E49924A9FAF00006C203 /* String+ValidityType.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "String+ValidityType.swift"; sourceTree = "<group>"; };
		52ED656B24A8B418000391EC /* SpinnerViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SpinnerViewController.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		525B99EB24A600BF007B78D5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		525B9A0124A600C6007B78D5 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		525B99E524A600BF007B78D5 = {
			isa = PBXGroup;
			children = (
				525B99F024A600BF007B78D5 /* ChuckFacts */,
				525B9A0724A600C6007B78D5 /* ChuckFactsTests */,
				525B99EF24A600BF007B78D5 /* Products */,
			);
			sourceTree = "<group>";
		};
		525B99EF24A600BF007B78D5 /* Products */ = {
			isa = PBXGroup;
			children = (
				525B99EE24A600BF007B78D5 /* ChuckFacts.app */,
				525B9A0424A600C6007B78D5 /* ChuckFactsTests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		525B99F024A600BF007B78D5 /* ChuckFacts */ = {
			isa = PBXGroup;
			children = (
				525B99FF24A600C5007B78D5 /* Info.plist */,
				525B99F124A600BF007B78D5 /* AppDelegate.swift */,
				525B99F324A600BF007B78D5 /* SceneDelegate.swift */,
				5297E49D24AB71430006C203 /* Views */,
				5297E49C24AB70D80006C203 /* Model */,
				5297E49B24AB70500006C203 /* Controllers */,
				5297E49E24AB715C0006C203 /* extentions */,
				525B99FA24A600C5007B78D5 /* Assets.xcassets */,
			);
			path = ChuckFacts;
			sourceTree = "<group>";
		};
		525B9A0724A600C6007B78D5 /* ChuckFactsTests */ = {
			isa = PBXGroup;
			children = (
				525B9A0824A600C6007B78D5 /* ChuckFactsTests.swift */,
				525B9A0A24A600C6007B78D5 /* Info.plist */,
			);
			path = ChuckFactsTests;
			sourceTree = "<group>";
		};
		5297E49B24AB70500006C203 /* Controllers */ = {
			isa = PBXGroup;
			children = (
				525B9A1324A606A4007B78D5 /* MainViewController.swift */,
				525B9A1524A60839007B78D5 /* TextInputViewController.swift */,
				52ED656B24A8B418000391EC /* SpinnerViewController.swift */,
				525B9A1724A60876007B78D5 /* NeverEndingTableViewController.swift */,
			);
			path = Controllers;
			sourceTree = "<group>";
		};
		5297E49C24AB70D80006C203 /* Model */ = {
			isa = PBXGroup;
			children = (
				525B9A1924A61EFD007B78D5 /* JokeModel.swift */,
				525B9A1B24A62191007B78D5 /* NetworkingModule.swift */,
			);
			path = Model;
			sourceTree = "<group>";
		};
		5297E49D24AB71430006C203 /* Views */ = {
			isa = PBXGroup;
			children = (
				525B99F724A600BF007B78D5 /* Main.storyboard */,
				525B9A1D24A6423C007B78D5 /* CustomTableViewCell.swift */,
				525B99FC24A600C5007B78D5 /* LaunchScreen.storyboard */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		5297E49E24AB715C0006C203 /* extentions */ = {
			isa = PBXGroup;
			children = (
				5297E49924A9FAF00006C203 /* String+ValidityType.swift */,
			);
			path = extentions;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		525B99ED24A600BF007B78D5 /* ChuckFacts */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 525B9A0D24A600C6007B78D5 /* Build configuration list for PBXNativeTarget "ChuckFacts" */;
			buildPhases = (
				525B99EA24A600BF007B78D5 /* Sources */,
				525B99EB24A600BF007B78D5 /* Frameworks */,
				525B99EC24A600BF007B78D5 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = ChuckFacts;
			productName = ChuckFacts;
			productReference = 525B99EE24A600BF007B78D5 /* ChuckFacts.app */;
			productType = "com.apple.product-type.application";
		};
		525B9A0324A600C6007B78D5 /* ChuckFactsTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 525B9A1024A600C6007B78D5 /* Build configuration list for PBXNativeTarget "ChuckFactsTests" */;
			buildPhases = (
				525B9A0024A600C6007B78D5 /* Sources */,
				525B9A0124A600C6007B78D5 /* Frameworks */,
				525B9A0224A600C6007B78D5 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				525B9A0624A600C6007B78D5 /* PBXTargetDependency */,
			);
			name = ChuckFactsTests;
			productName = ChuckFactsTests;
			productReference = 525B9A0424A600C6007B78D5 /* ChuckFactsTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		525B99E624A600BF007B78D5 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				LastSwiftUpdateCheck = 1150;
				LastUpgradeCheck = 1150;
				ORGANIZATIONNAME = InterZoneInc;
				TargetAttributes = {
					525B99ED24A600BF007B78D5 = {
						CreatedOnToolsVersion = 11.5;
					};
					525B9A0324A600C6007B78D5 = {
						CreatedOnToolsVersion = 11.5;
						TestTargetID = 525B99ED24A600BF007B78D5;
					};
				};
			};
			buildConfigurationList = 525B99E924A600BF007B78D5 /* Build configuration list for PBXProject "ChuckFacts" */;
			compatibilityVersion = "Xcode 9.3";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 525B99E524A600BF007B78D5;
			productRefGroup = 525B99EF24A600BF007B78D5 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				525B99ED24A600BF007B78D5 /* ChuckFacts */,
				525B9A0324A600C6007B78D5 /* ChuckFactsTests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		525B99EC24A600BF007B78D5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				525B99FE24A600C5007B78D5 /* LaunchScreen.storyboard in Resources */,
				525B99FB24A600C5007B78D5 /* Assets.xcassets in Resources */,
				525B99F924A600BF007B78D5 /* Main.storyboard in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		525B9A0224A600C6007B78D5 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		525B99EA24A600BF007B78D5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				525B9A1624A60839007B78D5 /* TextInputViewController.swift in Sources */,
				525B9A1824A60876007B78D5 /* NeverEndingTableViewController.swift in Sources */,
				525B9A1E24A6423C007B78D5 /* CustomTableViewCell.swift in Sources */,
				525B9A1A24A61EFD007B78D5 /* JokeModel.swift in Sources */,
				525B9A1424A606A4007B78D5 /* MainViewController.swift in Sources */,
				525B99F224A600BF007B78D5 /* AppDelegate.swift in Sources */,
				5297E49A24A9FAF00006C203 /* String+ValidityType.swift in Sources */,
				525B99F424A600BF007B78D5 /* SceneDelegate.swift in Sources */,
				52ED656C24A8B418000391EC /* SpinnerViewController.swift in Sources */,
				525B9A1C24A62191007B78D5 /* NetworkingModule.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		525B9A0024A600C6007B78D5 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				525B9A0924A600C6007B78D5 /* ChuckFactsTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		525B9A0624A600C6007B78D5 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 525B99ED24A600BF007B78D5 /* ChuckFacts */;
			targetProxy = 525B9A0524A600C6007B78D5 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin PBXVariantGroup section */
		525B99F724A600BF007B78D5 /* Main.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				525B99F824A600BF007B78D5 /* Base */,
			);
			name = Main.storyboard;
			sourceTree = "<group>";
		};
		525B99FC24A600C5007B78D5 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				525B99FD24A600C5007B78D5 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		525B9A0B24A600C6007B78D5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		525B9A0C24A600C6007B78D5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++14";
				CLANG_CXX_LIBRARY = "libc++";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		525B9A0E24A600C6007B78D5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = UVD683W66R;
				INFOPLIST_FILE = ChuckFacts/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.InterZoneInc.ChuckFacts;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Debug;
		};
		525B9A0F24A600C6007B78D5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = UVD683W66R;
				INFOPLIST_FILE = ChuckFacts/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 11.0;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.InterZoneInc.ChuckFacts;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = 1;
			};
			name = Release;
		};
		525B9A1124A600C6007B78D5 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = UVD683W66R;
				INFOPLIST_FILE = ChuckFactsTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.InterZoneInc.ChuckFactsTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/ChuckFacts.app/ChuckFacts";
			};
			name = Debug;
		};
		525B9A1224A600C6007B78D5 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				DEVELOPMENT_TEAM = UVD683W66R;
				INFOPLIST_FILE = ChuckFactsTests/Info.plist;
				IPHONEOS_DEPLOYMENT_TARGET = 13.5;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
					"@loader_path/Frameworks",
				);
				PRODUCT_BUNDLE_IDENTIFIER = com.InterZoneInc.ChuckFactsTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/ChuckFacts.app/ChuckFacts";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		525B99E924A600BF007B78D5 /* Build configuration list for PBXProject "ChuckFacts" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				525B9A0B24A600C6007B78D5 /* Debug */,
				525B9A0C24A600C6007B78D5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		525B9A0D24A600C6007B78D5 /* Build configuration list for PBXNativeTarget "ChuckFacts" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				525B9A0E24A600C6007B78D5 /* Debug */,
				525B9A0F24A600C6007B78D5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		525B9A1024A600C6007B78D5 /* Build configuration list for PBXNativeTarget "ChuckFactsTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				525B9A1124A600C6007B78D5 /* Debug */,
				525B9A1224A600C6007B78D5 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 525B99E624A600BF007B78D5 /* Project object */;
}
